import Header from "../../Components/Header/Header";
import styles from "../../styles";
import RestrictedComponent from "../../Components/RestrictedComponent/RestrictedComponent";
import TechnicianWidgets from "../../Components/DashboardPage/Technician/TechnicianWidgets";
import TechnicianEquipmentButtons from "../../Components/DashboardPage/Technician/TechnicianEquipmentButtons";
import TechnicianLogButtons from "../../Components/DashboardPage/Technician/TechnicianLogButtons";
import StudentTransactionListView from "../../Components/DashboardPage/Student/StudentTransactionListView";
export default function Dashboard() {
  return (
    <div style={styles.background}>
      <Header label={"Dashboard"} />
      <RestrictedComponent allow_only={"Technician"}>
        <TechnicianWidgets />
        <TechnicianEquipmentButtons />
        <TechnicianLogButtons />
      </RestrictedComponent>
      <RestrictedComponent allow_only={"Student"}>
        <StudentTransactionListView />
      </RestrictedComponent>
      <RestrictedComponent allow_only={"Teacher"}>
        <p style={styles.text_dark}>Welcome teacher!</p>
      </RestrictedComponent>
    </div>
  );
}
